Run of scrub-obsolete for trove3

Try this locally (using the package):

debcheckout trove3
cd trove3
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 15e1edd..4f7aa63 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+trove3 (3.0.3-6) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on debhelper.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 09 Sep 2021 12:55:50 -0000
+
 trove3 (3.0.3-5) unstable; urgency=medium
 
   [ Steffen Möller ]
diff --git a/debian/control b/debian/control
index 187bb17..023d0c9 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Uploaders:
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 11),
+ debhelper,
  default-jdk,
  javahelper,
  junit4,

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t scrub-obsolete libtrove3-java-doc
apt install -t scrub-obsolete libtrove3-java

Lintian Result

Full worker log Full build log